/**
 * Acumen for Magento
 * Made by Gravity Department (http://gravitydept.com)
 * Distributed by ThemeForest (http://themeforest.net)
 *
 * @author     Brendan Falkowski
 * @package    gravdept_acumen
 * @copyright  Copyright 2010 Brendan Falkowski (http://brendanfalkowski.com)
 * @license    All rights reserved.
 * @version    1.1.0
 */
/* avoid PrototypeJS conflicts, assign jQuery to $jQ instead of $ */
var $jQ = jQuery.noConflict();
$jQ(document).ready(function($){

$('body').addClass('js');
// ------------------------------------------------------------------------------
// FancyBox		
// ------------------------------------------------------------------------------
if($().fancybox){
$("a.zoom").fancybox({
'padding':10,
'imageScale':true,
'zoomOpacity':true,
'zoomSpeedIn':500,
'zoomSpeedOut':500,
'frameWidth':600,
'frameHeight':600,
'overlayShow':true,
'overlayOpacity':0.5,
'overlayColor':'#000',
'enableEscapeButton':true,
'showCloseButton':true,
'hideOnOverlayClick':true,
'hideOnContentClick':false,
'centerOnScroll':false
});
$("a.ajax").fancybox({
'padding':10,
'imageScale':true,
'zoomOpacity':true,
'zoomSpeedIn':500,
'zoomSpeedOut':500,
'frameWidth':800,
'frameHeight':700,
'overlayShow':true,
'overlayOpacity':0.5,
'overlayColor':'#000',
'enableEscapeButton':true,
'showCloseButton':true,
'hideOnOverlayClick':false,
'hideOnContentClick':false,
'centerOnScroll':false
});
}		
// ------------------------------------------------------------------------------
// LoopedSlider
// ------------------------------------------------------------------------------
if($().loopedSlider){
$('#spotlight-slider').loopedSlider({
container:'.slider-box',
slides:'.slides',
pagination:'.slider-pager',
containerClick:false,
autoStart:4000,
restart:6000,
slidespeed:1000,
fadespeed:200,
autoHeight:false,
addPagination:false
});
$('#new-slider').loopedSlider({
container:'.slider-box',
slides:'.slides',
pagination:'.slider-pager',
containerClick:false,
autoStart:0,
restart:0,
slidespeed:600,
fadespeed:300,
autoHeight:100,
addPagination:false
});
$('#featured-slider').loopedSlider({
container:'.slider-box',
slides:'.slides',
pagination:'.slider-pager',
containerClick:false,
autoStart:0,
restart:0,
slidespeed:1000,
fadespeed:300,
autoHeight:false,
addPagination:false
});
}
// ------------------------------------------------------------------------------
// Newsletter form pre-fill
// ------------------------------------------------------------------------------
var newsletterInput=$('#newsletter-email');
var newsletterDefault=newsletterInput.val();
newsletterInput.focus(function(){
if($(this).val()==newsletterDefault){
$(this).val('');
}
});
newsletterInput.blur(function(){
if($(this).val()==''){
$(this).val(newsletterDefault);
}
});
// ------------------------------------------------------------------------------
// NuBlue Custom - Misc
// ------------------------------------------------------------------------------	
$('p#money-back a').click(function(event){
event.preventDefault();
$('#money-back-box').fadeIn();
return false;
});
$('#money-back-box a.close-button').click(function(event){
event.preventDefault();
$('#money-back-box').fadeOut();
return false;
});
$('.ratings .rating-links a').click(function(event){
$.scrollTo('.product-info-tabs .tabs ul.tabNavigation a[href=#reviews]',{duration:1000});
$('.product-info-tabs .tabs ul.tabNavigation a[href=#reviews]').trigger('click');
return false;
});

$('.original-price-hidden').parent().find('.price-box').each(function(item, data) {
	var html = $(this).html();
	if ($(this).find('.price-label').length > 0) {
		$(this).html('<p class="special-price"></p>').find('.special-price').html(html);
		$(this).find('.price-label').html('Now From: ');
	}
	else {
		$(this).html('<p class="special-price"></p>').find('.special-price').html(html);
		$(this).find('.special-price').prepend('<span class="price-label">Now: </span>');
	}
});

});